INTERFACE
SUBROUTINE CUCALLN2&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & KSTEP, KSTART, LDLAND, LDSLPHY, LDRAIN1D,&
 & PTSPHY,&
 & PTM1, PQM1, PUM1, PVM1,&
 & PVERVEL, PQHFL, PAHFS, PAPHM1,&
 & PAP, PAPH, PGEO, PGEOH,&
 & PTENT, PTENQ, PTENU, PTENV, PARPRC,&
 & KTOPC, KBASEC, KTYPE,&
 & KCBOT, KCTOP, KBOTSC, LDCUM, LDSC,&
 & PLU, PLUDE, PMFU, PMFD,&
 & PDIFCQ, PDIFCS, PFHPCL, PFHPCN,&
 & PFPLCL, PFPLCN, PSTRCU, PSTRCV, PFCQLF ,PFCQIF,&
 & PMFUDE_RATE , PMFDDE_RATE , PCAPE,&
 & KTRAC, PCM1, PTENC, PSCAV ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAC
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
LOGICAL ,INTENT(IN) :: LDLAND(KLON)
LOGICAL ,INTENT(IN) :: LDSLPHY
LOGICAL ,INTENT(IN) :: LDRAIN1D
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PTM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCM1(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQHFL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAHFS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHM1(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSCAV(KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENC(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PARPRC(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KTOPC(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KBASEC(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KTYPE(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCBOT(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCTOP(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KBOTSC(KLON)
LOGICAL ,INTENT(OUT) :: LDCUM(KLON)
LOGICAL ,INTENT(OUT) :: LDSC(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLUDE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFCQ(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFCS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPCL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPCN(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLCL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLCN(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRCU(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRCV(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQLF(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQIF(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFUDE_RATE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFDDE_RATE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCAPE(KLON)
END SUBROUTINE CUCALLN2
END INTERFACE
